×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Jan 2008
    Posts
    8

    MIDlet install fails on firmware 5.11 device, works on 3.12

    I have an appication that installs (OTA) and runs without a problem on one NFC 6131 (firmware v3.12, ATT service), but it will not install on another (firmware v5.11,tmobile usa service). The user gets "Invalid Application" each time the install is attempted. Could this be firmware related or service provider related?

    Here is basically what my jad looks like.

    MIDlet-Name: My Midlet
    MIDlet-Version: 1.0.0
    MIDlet-Vendor: My Company
    MIDlet-Jar-URL: MyMIDlet.jar
    MIDlet-Jar-Size: 100376
    MIDlet-Description: MyMIDlet 1.0
    MIDlet-Info-URL: http://www.mycompany.com
    MIDlet-1: MyMIDlet,,com.mycompany.MyMIDlet
    MIDlet-Permissions: javax.microedition.io.PushRegistry,javax.microedition.io.Connector.http,
    javax.microedition.io.Connector.serversocket,javax.microedition.io.Connector.sms,
    javax.wireless.messaging.sms.send,javax.wireless.messaging.sms.receive
    MIDlet-Push-1: ndef:external_rtd?name=urn:nfc:ext:mycompany.com:T,com.mycompany.MyMIDlet,*
    MIDlet-Push-2: sms://:50001,com.mycompany.MainMIDlet,*
    MicroEdition-Configuration: CLDC-1.1
    MicroEdition-Profile: MIDP-2.0
    Nokia-Update: http://www.mycompany.com/MyMIDlet.jar

    The user has not yet attempted to install the jar directly. I will have the user attempt to install the jar using bluetooth tomorrow.


    Thanks,

    Pete Bartkowski
    Last edited by hartti; 2008-05-01 at 17:45. Reason: added linebreaks to the jad entries

  2. #2
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: MIDlet install fails on firmware 5.11 device, works on 3.12

    Are both phones NFC 6131 NFC models?
    If not, is either of them branded model (especially is the 5.11 phone T-Mobile US phone)? (in which case the phone really is 6133)

    Hartti

  3. #3
    Registered User
    Join Date
    Jan 2008
    Posts
    8

    Re: Install works on 3.12 firmware device, fails on 5.11 device

    Hartti,

    Both are unbranded NFC 6131 phones. SIM cards were purchased separately in the US.

    The initial version of the MIDlet I'm working on installed on the v5.11 without a problem. The newer version uses the Wireless Messaging API, and includes the SMS push registry entry. I tired removing this push registry entry from the JAD, but that didn't work.

    The newer version also uses the RecordStore API.

  4. #4
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Install works on 3.12 firmware device, fails on 5.11 device

    And the MIDlet is unsigned, right? (just checking, the JAD did not show that so I am guessing no)

    Hartti

  5. #5
    Registered User
    Join Date
    Jan 2008
    Posts
    8

    Re: Install works on 3.12 firmware device, fails on 5.11 device

    Yes, unsigned.

    Pete

  6. #6
    Regular Contributor
    Join Date
    Feb 2007
    Location
    France
    Posts
    56

    Re: Install works on 3.12 firmware device, fails on 5.11 device

    Which SDK version are you using and do you package NFC libs with ur jar file ?
    Finalist, First European NFC Competition 2007
    2nd Prize Research Track, NFC Forum Global Competition 2008
    NFC Project Manager at the University of Nice Sophia-Antipolis, France
    http://tdelazzari.blogspot.com

  7. #7
    Registered User
    Join Date
    Jan 2008
    Posts
    8

    Re: Install works on 3.12 firmware device, fails on 5.11 device

    SDK 1.1.

    Well, after a few recompilations and a redeployment to the web server, the problem has gone away.

    I'm still not sure why it would deploy to one phone and not to another (I realize I am most likely to blame, but why?). I thought maybe an incorrect jad had been cached somewhere, but I made sure to clear the phone cache, and I checked the web server logs to verify that the correct files (jar and jad) were loaded when requested.

Similar Threads

  1. Bluetooth Security: What exactly is an untrusted device?
    By rahulmcs in forum Bluetooth Technology
    Replies: 1
    Last Post: 2005-12-02, 06:26
  2. Install a recogniser as sis on the device?
    By mayankkedia in forum Symbian
    Replies: 0
    Last Post: 2005-01-18, 01:53
  3. Reinstalling help file on 9500 device fails
    By acvwieringen in forum Symbian
    Replies: 0
    Last Post: 2004-11-15, 09:34
  4. application does not install on 7650 device
    By asangamneheri in forum Symbian Tools & SDKs
    Replies: 4
    Last Post: 2002-07-08, 12:20
  5. Replies: 1
    Last Post: 2002-05-16, 19:08

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×